All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class InformationMapFilterObjectFactory

    com.sas.dataselectors.filters.InformationMapFilterObjectFactory

All Implemented Interfaces:
  FilterObjectFactoryInterface

    public class InformationMapFilterObjectFactory

This factory extends the base filter object factory to add InformationMap specific support.

Field Summary

Fields inherited from class com.sas.dataselectors.filters.BaseFilterObjectFactory
`_baseModel, _businessModel, _dataService, _scope, CODE_BLOCK, DEFAULT_GOVERNING_LIMIT, DEFAULT_SCOPE, environment, IS_AFTER, IS_AFTER_OR_EQUAL, IS_BEFORE, IS_BEFORE_OR_EQUAL, IS_BETWEEN, IS_EQUALS, IS_GREATER_THAN, IS_GREATER_THAN_OR_EQUAL, IS_IN_LIST, IS_LESS_THAN, IS_LESS_THAN_OR_EQUAL, IS_NOT_BETWEEN, IS_NOT_EQUALS, IS_NOT_IN_LIST, IS_NOT_NULL, IS_NULL, RB_KEY, RB_KEY2`

Constructor Summary
`InformationMapFilterObjectFactory(FilterBaseModelData baseModel, com.sas.iquery.metadata.business.InformationMap informationMap)` Constructs a new factory from the specified native model.

Method Summary
`boolean` | `updateSimpleFilterFromTestNode(com.sas.iquery.metadata.business.FilterItem filterItem, FilterLogicTestNodeInterface testNode)` Save the testNode data to the filter and then make sure the filter is written to the map.

Methods inherited from class com.sas.dataselectors.filters.BaseFilterObjectFactory
`addFilterItem, clearFilterCondition, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterItem, createExpressionFromNative, createExpressionFromNative, createFilterItemFromNative, createFilterQualifierFromNative, createFilterQualifierListFromNativeList, createFilterValueFromNative, createFilterValueFromNative, createFilterValueFromNative, createFilterValueFromNative, createFilterValueList, createFilterValueListFromNativeList, createJavaDateFromSASDate, createJavaDateFromSASDateTime, createJavaDateFromSASTime, createStringExpressionList, createStringExpressionList, createValueItem, createValueItemFromUniqueMemberID, enforceBooleanPrecedence, findMatchingConditionObject, findMatchingConditionObject, findMatchingConditionObject, findMatchingFilterItem, findMatchingFilterQualifier, findMatchingFilterValue, formatFunctionCall, getAdjustedFilterItemType, getAlternateConditions, getComparisonOperator, getDataItem, getDataItems, getDataServiceValues, getDateOrNullFromNative, getEnvironment, getExpressionListFromTestNodeValues, getFilterableItems, getFilterItemSASFormatText, getFilterStep, getItemType, getLevelProperties, getLevelProperties, getLevelProperties, getLocale, getMaxOutputObservations, getMemberListFromTestNodeQualifiers, getMetadataInterface, getOLAPMeasureConditionList, getOLAPMemberConditionList, getQualifiers, getRelationalCharacterConditions, getRelationalConditions, getRelationalConditions, getRelationalConditions, getRelationalConditions, getRelationalNumericConditions, getServerProperties, getStringExpressionListFromTestNodeValues, initDataService, isOLAP, isTimeDimension, newCompoundConditionalExpression, newCompoundFilter, newCompoundStep, newConditionalExpression, newConstantExpression, newCoumpoundFilter, newFilterDataValue, newFilterDataValue, newFilterItem, newFilterStep, newFilterValue, newStringExpression, newStringExpression, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, releaseResources, removeFilterItem, setEnvironment, setFilterBaseModelData, setFilterItemProperties, setFilterItemProperties, setLocale, setMaxOutputObservations, updateCompoundConditionalFilter, updateCompoundFilter, updateCompoundStep, updateSimpleFilter, updateSimpleFilterFromTestNode, updateSimpleFilterFromTestNode, wrapValueListDates`

Constructor Detail

### InformationMapFilterObjectFactory

    public InformationMapFilterObjectFactory(FilterBaseModelData baseModel,
                                             com.sas.iquery.metadata.business.InformationMap informationMap)

  Constructs a new factory from the specified native model.

  Parameters:
    `informationMap` - the model for the factory

Method Detail

### updateSimpleFilterFromTestNode

    public boolean updateSimpleFilterFromTestNode(com.sas.iquery.metadata.business.FilterItem filterItem,
                                                  FilterLogicTestNodeInterface testNode)

  Save the testNode data to the filter and then make sure the filter is written to the map.

  Specified by:
    `updateSimpleFilterFromTestNode` in interface `FilterObjectFactoryInterface`
  Overrides:
    `updateSimpleFilterFromTestNode` in class `BaseFilterObjectFactory`
  Parameters:
    `filterItem` - the native filter item to update
    `testNode` - the test node to process
  Returns:
    true if the native model was updated successfully, false otherwise

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.